/*
 This file is part of GNUnet.
 (C) 2013 Christian Grothoff (and other contributing authors)

 GNUnet is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published
 by the Free Software Foundation; either version 3, or (at your
 option) any later version.

 GNUnet is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GNUnet; see the file COPYING.  If not, write to the
 Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA 02111-1307, USA.
 */

package org.gnunet.consensus.messages;

import org.gnunet.construct.FillWith;
import org.gnunet.construct.UInt16;
import org.gnunet.construct.UInt8;
import org.gnunet.construct.UnionCase;
import org.gnunet.util.GnunetMessage;

/**
 * Notify the client of a new element.
 *
 * Direction: service -> client
 *
 * @author Florian Dold
 */
@UnionCase(523)
public class NewElementMessage implements GnunetMessage.Body {
    @UInt16
    public int elementType;
    @FillWith
    @UInt8
    public byte[] elementData;
}