/*
 This file is part of GNUnet.
 (C) 2011, 2012 Christian Grothoff (and other contributing authors)

 GNUnet is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published
 by the Free Software Foundation; either version 3, or (at your
 option) any later version.

 GNUnet is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GNUnet; see the file COPYING.  If not, write to the
 Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA 02111-1307, USA.
 */

package org.gnunet.dht;

import org.gnunet.util.HashCode;
import org.gnunet.util.PeerIdentity;

/**
 * Listener for monitoring get requests.
 */
public interface MonitorGetHandler {
    /**
     * Called when a get request happens.
     *
     * @param options options of the request
     * @param type type of the request
     * @param hopCount hop count of the request
     * @param desiredReplicationLevel desired replication level for the request
     * @param getPath path of the get request
     * @param key key for the request
     */
    void onGet(int options, int type, int hopCount, int desiredReplicationLevel, PeerIdentity[] getPath,
               HashCode key);
}
