/*
 This file is part of GNUnet.
 (C) 2011, 2012 Christian Grothoff (and other contributing authors)

 GNUnet is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published
 by the Free Software Foundation; either version 3, or (at your
 option) any later version.

 GNUnet is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GNUnet; see the file COPYING.  If not, write to the
 Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA 02111-1307, USA.
 */

package org.gnunet.dht.messages;

import org.gnunet.construct.*;
import org.gnunet.util.AbsoluteTimeMessage;
import org.gnunet.util.GnunetMessage;
import org.gnunet.util.HashCode;


@UnionCase(142)
public class ClientPutMessage implements GnunetMessage.Body {
    /**
     * Type of data to insert, one of BlockType.*
     */
    @UInt32
    public int type;
    /**
     * Combination of RouteOption.*
     */
    @UInt32
    public int options;
    @UInt32
    public int desiredReplicationLevel;
    /**
     * UID used to identify getRequestIdentifier with the response
     */
    @UInt64
    public long uid;
    @NestedMessage
    public AbsoluteTimeMessage expiration;
    @NestedMessage
    public HashCode hash;
    @FillWith @UInt8
    public byte[] data;
}
