/*
 This file is part of GNUnet.
 (C) 2011, 2012 Christian Grothoff (and other contributing authors)

 GNUnet is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published
 by the Free Software Foundation; either version 3, or (at your
 option) any later version.

 GNUnet is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GNUnet; see the file COPYING.  If not, write to the
 Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA 02111-1307, USA.
 */

package org.gnunet.dht.messages;

import org.gnunet.construct.NestedMessage;
import org.gnunet.construct.UInt16;
import org.gnunet.construct.UInt32;
import org.gnunet.construct.UnionCase;
import org.gnunet.util.GnunetMessage;
import org.gnunet.util.HashCode;

/**
 * Message to getRequestIdentifier monitoring messages, clients --> DHT service.
 */
@UnionCase(153)
public class MonitorStartStop implements GnunetMessage.Body {
    /**
     * The type of data desired, GNUNET_BLOCK_TYPE_ANY for all.
     */
    @UInt32
    public int type;

    /**
     * Flag whether to notify about GET messages.
     */
    @UInt16
    public int get;

    /**
     * Flag whether to notify about GET_REPONSE messages.
     */
    @UInt16
    public int getResp;

    /**
     * Flag whether to notify about PUT messages.
     */
    @UInt16
    public int put;

    /**
     * Flag whether to use the provided key to filter messages.
     */
    @UInt16
    public int filterKey;

    /*
    The key to filter messages by.
     */
    @NestedMessage
    public HashCode key;
}
